ReferenceCalls
Search calls by keyword
Full-text search over transcript content. Supports phrases ("exact match"), OR, and exclusion (-word). Results are ranked by relevance with highlighted snippets.
GET
/v1/projects/{projectId}/calls/searchFull-text search over transcript content. Supports phrases ("exact match"), OR, and exclusion (-word). Results are ranked by relevance with highlighted snippets.
Authorization
ApiKeyAuth X-API-Key<token>
Organization API key. Format: X-API-Key: at_live_...
In: header
Path Parameters
projectId*string
Format
uuidQuery Parameters
q*string
page?integer
Format
int32Default
1pageSize?integer
Format
int32Default
25from?string
Format
date-timeto?string
Format
date-timeResponse Body
*/*
*/*
curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/calls/search?q=string"{ "data": [ { "id": "string", "filename": "string", "language": "string", "durationS": 0.1, "sentimentLevel": "string", "primaryCategory": "string", "actionItemsCount": 0, "createdAt": "2019-08-24T14:15:22Z", "snippet": "string", "relevance": 0.1, "title": "string" } ], "total": 0, "page": 0, "pageSize": 0, "totalPages": 0}List calls with pagination and optional date filter GET
Returns a paginated list of calls ordered by creation date. When 'from' and/or 'to' are omitted, no date filtering is applied — all calls are returned.
Manually set or clear a call's category PATCH
Overrides the classifier's category. A null categoryId un-categorizes the call.